<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * @file include/conf.php
 * Archivo de configuración del sistema
 *
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */

/*
 * Este archivo de configuración sigue el patrón definido 
 * en http://moondragon.tuapp.net/wiki/Proceso_de_funcionamiento_de_MoonDragon
 */

// Carga las rutas del sistema

require_once 'include/conf/paths.inc';

/* 
 * Carga de la librería Core
 * La librería core es la base de todo el sistema por lo que su carga es de manera especial
 */

require_once LIB.'/core/lib.core.inc';

Libs::import( 'Core' );

// Registro del manejo de errores

include CONF.'/errorReporting.inc';
ErrorHandler::init( $e_report, $e_debug, $e_system_info, $e_deprecated, $e_halt_callback );

// Configuración de la base de datos

if( Database::connectFromXML( CONF.'/connection.xml' ) )
{
	Registry::set( 'online', true );
}
else
{
	Registry::set( 'online', false );
}

// Inicio de sesión

Session::init();

// Crear árbol de secciones

// Seciones por defecto del sistema
include CONF.'/sections.inc';
// Secciones dinámicas del sistema
SectionTree::loadFromXML( CONF.'/sections.xml' );

// Valores de configuración del sistema

include CONF.'/registry.inc';

include CONF.'/vars.php';

// Cargar librerías externas al sistema

include CONF.'/libraries.inc';

// Ejecución de procesos automáticos

Libs::autorun();

// Se cargan las funciones estándar definidas por el desarrollador

include 'include/functions.php';
 
?>
