<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * @file include/conf/registry.inc
 * Archivo con el registro de valores constantes del sistema
 *
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */
 
// Registrar valores constantes

Registry::setConst( 'DEFAULT_SECTION', 'home' );
Registry::setConst( 'ERROR_SECTION', 'error' );
Registry::setConst( 'DEFAULT_MODEL', 'Core' );
Registry::setConst( 'DEFAULT_VIEW', 'Core' );
Registry::setConst( 'DEFAULT_CONTROLLER', 'Core' );
Registry::setConst( 'DEFAULT_PAGE', 'standard' );

// Controla el comportamiento del sistema en caso de que se pierda la conexión con la base de datos
// Si esta opción esta seleccionada como verdadera se muestra una página de error
Registry::setConst( 'OFFLINE_ERROR', true );


// Control de redirección

Registry::set( 'stop_redirection', false );

// Registro de manejadores

UserManager::register();

?>
