<?php

/*
 * Copyright 2009 Andrés Javier López
 * 
 * This file is part of MoonDragon.
 *
 * MoonDragon is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or any later version.
 *
 * MoonDragon is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MoonDragon.  If not, see <http://www.gnu.org/licenses/>.
 *
 */ 

/**
 * @file include/lib/core/lib.core.inc
 * Librería central del sistema
 *
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */
 
require_once LIB.'/core/class.buffer.php';
require_once LIB.'/core/class.errorhandler.php';
require_once LIB.'/core/class.session.php';
require_once LIB.'/core/class.database.php';
require_once LIB.'/core/class.registry.php';
require_once LIB.'/core/class.vars.php';
require_once LIB.'/core/class.section.php';
require_once LIB.'/core/class.sectiontree.php';
require_once LIB.'/core/class.template.php';
require_once LIB.'/core/class.page.php';
require_once LIB.'/core/class.controller.php';
require_once LIB.'/core/class.model.php';
require_once LIB.'/core/class.view.php';
require_once LIB.'/core/class.htmlview.php';
require_once LIB.'/core/class.lib.php';
require_once LIB.'/core/class.libs.php';
require_once LIB.'/core/class.corecontroller.php';
require_once LIB.'/core/class.coreview.php';
require_once LIB.'/core/class.usermanager.php';
require_once LIB.'/core/class.user.php';

// Funciones de la librería
require_once LIB.'/core/functions.core.php';

// Se definen constantes de la librería

/**
 * Identifica a los usuarios anónimos
 * @var int
 */
define( 'LVL_ANON', 0 );

/**
 * Identifica a los usuarios con permisos estándar
 * @var int
 */
define( 'LVL_USER', 1 );

/**
 * Identifica a los moderadores
 * @var int
 */
define( 'LVL_MOD', 2 );

/**
 * Identifica a los administradores
 * @var int
 */
define( 'LVL_ADMIN', 3 );

/**
 * Configuración de la librería Core
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright Andrés Javier López 2009
 */
class CoreLib extends Lib
{
	/**
	 * (non-PHPdoc)
	 * @see include/lib/core/Lib#initVars()
	 */
	public function initVars()
	{
		$version = '2.0.0';
		
		$this->moondragon_version = $version;
		$this->version = $version;
		
		Registry::setConst( 'MOONDRAGON_VERSION', $version );
	}
}
 
?>
 